6.0.0-git
2019-04-25

[#11925] Translation issues
Summary Translation issues
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester azurit (at) pobox (dot) sk
Created 2012-12-31 (2306 days ago)
Due
Updated 2013-04-08 (2208 days ago)
Assigned 2013-01-06 (2300 days ago)
Resolved 2013-01-07 (2299 days ago)
Milestone
Patch No

History
2013-04-08 10:05:06 Git Commit Comment #15 Reply to this comment
Changes have been made in Git (master):

commit d50b5e51980177da42e86ad38ebe589fac015596
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sun Jan 6 14:18:47 2013 -0700

     Bug #11925: Translation fixes

  imp/js/dimpbase.js          |   46 ++++++++++++++++--------------------------
  imp/lib/Dynamic/Mailbox.php |    9 ++++---
  2 files changed, 23 insertions(+), 32 deletions(-)

http://git.horde.org/horde-git/-/commit/d50b5e51980177da42e86ad38ebe589fac015596
2013-01-07 07:43:44 azurit (at) pobox (dot) sk Comment #14 Reply to this comment

[Show Quoted Text - 15 lines]
Ok, thank you, i will try to think something out.
2013-01-07 04:15:13 Michael Slusarz Comment #13
State ⇒ Resolved
Reply to this comment
Anyway, it cannot be properly translated like this, see my example 
in previous message. Any suggestions? I need to inflect the text 
after 'View'.
Remove "View" from your translation.

The generation of the "Text part" is entirely separate from this code 
(it is an accurate description of the part) so it is 
difficult/impossible to change this in the current code.

Considering this is a tooltip, it is not critical enough to warrant 
this ticket to remain open since the current gettext string works for 
every other language I am aware of.  If you can provide a solution 
that is not overly complicated, it will be implemented but otherwise I 
am closing this ticket.
2013-01-06 21:46:49 azurit (at) pobox (dot) sk Comment #12 Reply to this comment

[Show Quoted Text - 21 lines]
Anyway, it cannot be properly translated like this, see my example in 
previous message. Any suggestions? I need to inflect the text after 
'View'.

2013-01-06 21:41:31 Michael Slusarz Comment #11 Reply to this comment

[Show Quoted Text - 12 lines]
..and this is generated in IMP_Contents by this code:

sprintf(_("View %s"), $description)
Which consists out of two different strings: "View" and "Text part".
This is incorrect.  A separate _("View") string does not exist in the 
message part display code.
2013-01-06 21:34:40 azurit (at) pobox (dot) sk Comment #10 Reply to this comment
  - dynamic view, tooltip for message parts is generated using two
strings - this is doing problems
I don't know what this refers to.  The "View [filename]" text is 
generated via a single string in IMP_Contents.  That's the only 
tooltip I am aware of for message parts.
When you open (any) message there is a button 'Text part (X KB)' right 
under the headers - when you click it, it will open a text part of the 
message in the new window. When you hover a mouse cursor, tooltip is 
displayed:
View Text part

Which consists out of two different strings: "View" and "Text part". 
Cannot be properly translated because (in Slovak):
"View" = "Zobrazit"
"Text part = "Textova cast"
"View text part = "Zobrazit _textovu_ cast", IMP is currently showing 
"Zobarzit _textova_ cast" which sounds funny :)
2013-01-06 21:27:35 Michael Slusarz Comment #9
State ⇒ Feedback
Version ⇒ Git develop
Reply to this comment
  - dynamic view, tooltip for message parts is generated using two 
strings - this is doing problems
I don't know what this refers to.  The "View [filename]" text is 
generated via a single string in IMP_Contents.  That's the only 
tooltip I am aware of for message parts.
2013-01-06 21:25:09 Michael Slusarz Comment #8 Reply to this comment
There is no entry for it in _updated_ .po file.
Then you are not updating the compendium correctly.

I can verify that rebuilding sticks that phrase in the PO template file:

#: config/prefs.php:606 config/prefs.php:612 config/prefs.php:1165
#: config/prefs.php:1559 config/prefs.php:1570 config/prefs.php:1588
msgid "Basic view only"
msgstr ""
2013-01-06 21:20:58 Michael Slusarz Comment #7 Reply to this comment
  - dynamic view, search field at the top, string 'Search (Entire 
message)' is generated with two different strings
Fixed.
2013-01-06 21:20:40 Michael Slusarz Comment #6
Assigned to Michael Slusarz
Reply to this comment
  - dynamic view, when selecting messages, string 'X messages 
selected' cannot be properly pluralised (SK, for example, needs 3 
plural forms)

  - the same string as above is also generated with two different 
strings instead of using one string with formatting - this is doing 
little problems
Fixed in IMP 6.1. (This would invalidate highly prominent text in the 
current translations, so not fixing in IMP 6.0.x)

http://lists.horde.org/archives/commits/2013-January/017737.html
2013-01-06 20:49:21 azurit (at) pobox (dot) sk Comment #5 Reply to this comment
  - preferences, string 'Basic view only' is untranslateable
I don't know what "this is untraslateable" means.  If there is no 
equivalent in your language, set this to an empty string.
There is no entry for it in _updated_ .po file.
2013-01-06 20:45:26 Michael Slusarz Comment #4 Reply to this comment
  - preferences, string 'Basic view only' is untranslateable
I don't know what "this is untraslateable" means.  If there is no 
equivalent in your language, set this to an empty string.
2012-12-31 00:50:48 azurit (at) pobox (dot) sk Comment #3 Reply to this comment
  - dynamic view, search field at the top, string 'Search (Entire 
message)' is generated with two different strings
2012-12-31 00:06:07 azurit (at) pobox (dot) sk Comment #2 Reply to this comment
  - dynamic view, tooltip for message parts is generated using two 
strings - this is doing problems
2012-12-31 00:01:08 azurit (at) pobox (dot) sk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Translation issues
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Here is the list of untranslateble or problematic strings:

  - dynamic view, when selecting messages, string 'X messages 
selected' cannot be properly pluralised (SK, for example, needs 3 
plural forms)

  - the same string as above is also generated with two different 
strings instead of using one string with formatting - this is doing 
little problems

  - preferences, string 'Basic view only' is untranslateable

That's all for now :)

Saved Queries